diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/random-variable-stream.cc ns-3.43/src/core/model/random-variable-stream.cc
--- ns-3.42/src/core/model/random-variable-stream.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/random-variable-stream.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1832,29 +1830,240 @@
 double
 BernoulliRandomVariable::GetValue(double probability)
 {
-    NS_LOG_FUNCTION(this << probability);
-
     double v = Peek()->RandU01();
     if (IsAntithetic())
     {
         v = (1 - v);
     }
 
-    return (v <= probability) ? 1.0 : 0.0;
+    double value = (v <= probability) ? 1.0 : 0.0;
+    NS_LOG_DEBUG("value: " << value << " stream: " << GetStream()
+                           << " probability: " << probability);
+    return value;
 }
 
 uint32_t
 BernoulliRandomVariable::GetInteger(uint32_t probability)
 {
-    NS_LOG_FUNCTION(this << probability);
-    return static_cast<uint32_t>(GetValue(probability));
+    auto v = static_cast<uint32_t>(GetValue(probability));
+    NS_LOG_DEBUG("integer value: " << v << " stream: " << GetStream()
+                                   << " probability: " << probability);
+    return v;
 }
 
 double
 BernoulliRandomVariable::GetValue()
 {
-    NS_LOG_FUNCTION(this);
     return GetValue(m_probability);
 }
 
+NS_OBJECT_ENSURE_REGISTERED(LaplacianRandomVariable);
+
+TypeId
+LaplacianRandomVariable::GetTypeId()
+{
+    static TypeId tid =
+        TypeId("ns3::LaplacianRandomVariable")
+            .SetParent<RandomVariableStream>()
+            .SetGroupName("Core")
+            .AddConstructor<LaplacianRandomVariable>()
+            .AddAttribute("Location",
+                          "The location parameter for the Laplacian distribution returned by this "
+                          "RNG stream.",
+                          DoubleValue(0.0),
+                          MakeDoubleAccessor(&LaplacianRandomVariable::m_location),
+                          MakeDoubleChecker<double>())
+            .AddAttribute(
+                "Scale",
+                "The scale parameter for the Laplacian distribution returned by this RNG stream.",
+                DoubleValue(1.0),
+                MakeDoubleAccessor(&LaplacianRandomVariable::m_scale),
+                MakeDoubleChecker<double>())
+            .AddAttribute("Bound",
+                          "The bound on the values returned by this RNG stream.",
+                          DoubleValue(0.0),
+                          MakeDoubleAccessor(&LaplacianRandomVariable::m_bound),
+                          MakeDoubleChecker<double>());
+    return tid;
+}
+
+LaplacianRandomVariable::LaplacianRandomVariable()
+{
+    NS_LOG_FUNCTION(this);
+}
+
+double
+LaplacianRandomVariable::GetLocation() const
+{
+    return m_location;
+}
+
+double
+LaplacianRandomVariable::GetScale() const
+{
+    return m_scale;
+}
+
+double
+LaplacianRandomVariable::GetBound() const
+{
+    return m_bound;
+}
+
+double
+LaplacianRandomVariable::GetValue(double location, double scale, double bound)
+{
+    NS_LOG_FUNCTION(this << location << scale << bound);
+    NS_ABORT_MSG_IF(scale <= 0, "Scale parameter should be larger than 0");
+
+    while (true)
+    {
+        // Get a uniform random variable in [-0.5,0.5].
+        auto v = (Peek()->RandU01() - 0.5);
+        if (IsAntithetic())
+        {
+            v = (1 - v);
+        }
+
+        // Calculate the laplacian random variable.
+        const auto sgn = (v > 0) ? 1 : ((v < 0) ? -1 : 0);
+        const auto r = location - (scale * sgn * std::log(1.0 - (2.0 * std::abs(v))));
+
+        // Use this value if it's acceptable.
+        if (bound == 0.0 || std::fabs(r - location) <= bound)
+        {
+            return r;
+        }
+    }
+}
+
+uint32_t
+LaplacianRandomVariable::GetInteger(uint32_t location, uint32_t scale, uint32_t bound)
+{
+    NS_LOG_FUNCTION(this << location << scale << bound);
+    return static_cast<uint32_t>(GetValue(location, scale, bound));
+}
+
+double
+LaplacianRandomVariable::GetValue()
+{
+    NS_LOG_FUNCTION(this);
+    return GetValue(m_location, m_scale, m_bound);
+}
+
+double
+LaplacianRandomVariable::GetVariance(double scale)
+{
+    NS_LOG_FUNCTION(scale);
+    return 2.0 * std::pow(scale, 2.0);
+}
+
+double
+LaplacianRandomVariable::GetVariance() const
+{
+    return GetVariance(m_scale);
+}
+
+NS_OBJECT_ENSURE_REGISTERED(LargestExtremeValueRandomVariable);
+
+TypeId
+LargestExtremeValueRandomVariable::GetTypeId()
+{
+    static TypeId tid =
+        TypeId("ns3::LargestExtremeValueRandomVariable")
+            .SetParent<RandomVariableStream>()
+            .SetGroupName("Core")
+            .AddConstructor<LargestExtremeValueRandomVariable>()
+            .AddAttribute("Location",
+                          "The location parameter for the Largest Extreme Value distribution "
+                          "returned by this RNG stream.",
+                          DoubleValue(0.0),
+                          MakeDoubleAccessor(&LargestExtremeValueRandomVariable::m_location),
+                          MakeDoubleChecker<double>())
+            .AddAttribute("Scale",
+                          "The scale parameter for the Largest Extreme Value distribution "
+                          "returned by this RNG stream.",
+                          DoubleValue(1.0),
+                          MakeDoubleAccessor(&LargestExtremeValueRandomVariable::m_scale),
+                          MakeDoubleChecker<double>());
+    return tid;
+}
+
+LargestExtremeValueRandomVariable::LargestExtremeValueRandomVariable()
+{
+    NS_LOG_FUNCTION(this);
+}
+
+double
+LargestExtremeValueRandomVariable::GetLocation() const
+{
+    return m_location;
+}
+
+double
+LargestExtremeValueRandomVariable::GetScale() const
+{
+    return m_scale;
+}
+
+double
+LargestExtremeValueRandomVariable::GetValue(double location, double scale)
+{
+    NS_LOG_FUNCTION(this << location << scale);
+    NS_ABORT_MSG_IF(scale <= 0, "Scale parameter should be larger than 0");
+
+    // Get a uniform random variable in [0,1].
+    auto v = Peek()->RandU01();
+    if (IsAntithetic())
+    {
+        v = (1 - v);
+    }
+
+    // Calculate the largest extreme value random variable.
+    const auto t = std::log(v) * (-1.0);
+    const auto r = location - (scale * std::log(t));
+
+    return r;
+}
+
+uint32_t
+LargestExtremeValueRandomVariable::GetInteger(uint32_t location, uint32_t scale)
+{
+    NS_LOG_FUNCTION(this << location << scale);
+    return static_cast<uint32_t>(GetValue(location, scale));
+}
+
+double
+LargestExtremeValueRandomVariable::GetValue()
+{
+    NS_LOG_FUNCTION(this);
+    return GetValue(m_location, m_scale);
+}
+
+double
+LargestExtremeValueRandomVariable::GetMean(double location, double scale)
+{
+    NS_LOG_FUNCTION(location << scale);
+    return (location + (scale * std::numbers::egamma));
+}
+
+double
+LargestExtremeValueRandomVariable::GetMean() const
+{
+    return GetMean(m_location, m_scale);
+}
+
+double
+LargestExtremeValueRandomVariable::GetVariance(double scale)
+{
+    NS_LOG_FUNCTION(scale);
+    return std::pow((scale * std::numbers::pi), 2) / 6.0;
+}
+
+double
+LargestExtremeValueRandomVariable::GetVariance() const
+{
+    return GetVariance(m_scale);
+}
+
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/random-variable-stream.h ns-3.43/src/core/model/random-variable-stream.h
--- ns-3.42/src/core/model/random-variable-stream.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/random-variable-stream.h	2024-10-09 16:41:09.860655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2006 Georgia Tech Research Corporation
  * Copyright (c) 2011 Mathieu Lacage
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Rajib Bhattacharjea<raj.b@gatech.edu>
  *          Hadi Arbabi<marbabi@cs.odu.edu>
@@ -863,6 +852,19 @@
     double GetBound() const;
 
     /**
+     * \brief Returns the mean value for the Weibull distribution returned by this RNG stream.
+     * \return The mean value for the Weibull distribution returned by this RNG stream.
+     */
+    double GetMean() const;
+
+    /**
+     * \copydoc GetMean()
+     * \param [in] scale Scale parameter for the Weibull distribution.
+     * \param [in] shape Shape parameter for the Weibull distribution.
+     */
+    static double GetMean(double scale, double shape);
+
+    /**
      * \copydoc GetValue()
      * \param [in] scale Scale parameter for the Weibull distribution.
      * \param [in] shape Shape parameter for the Weibull distribution.
@@ -2271,6 +2273,234 @@
 
 }; // class BernoulliRandomVariable
 
+/**
+ * \ingroup randomvariable
+ * \brief The laplacian distribution Random Number Generator (RNG).
+ *
+ * This class supports the creation of objects that return random numbers
+ * from a fixed laplacian distribution.
+ *
+ * The probability density function of a laplacian variable
+ * is defined as:
+ *
+ *   \f[
+ *      P(x; \mu, \beta) dx = \frac{1}{2 \beta} e^{\frac{- \abs{x - \mu}}{\beta}} dx
+ *   \f]
+ *
+ * where \f$\mu\f$ is the \c Location configurable attribute and \f$\beta\f$
+ * is the \c Scale configurable attribute.  This distribution has mean \f$\mu\f$
+ * and variance \f$ \sigma^2 = 2 \beta^2 \f$.
+ *
+ * The laplacian RNG value \f$x\f$ is generated by
+ *
+ *   \f[
+ *      x = \mu - \beta sgn(u) \log(1 - 2 \abs{u})
+ *   \f]
+ *
+ * where \f$u\f$ is a uniform random variable on [-0.5,0.5).
+ *
+ * \par Bounded Distribution
+ *
+ * The Laplacian distribution can be bounded symmetrically about the mean by
+ * the \c Bound parameter, \f$b\f$, _i.e._ its values are confined to the interval
+ * \f$[\mu - b, \mu + b]\f$.  This preserves the mean but decreases the variance.
+ */
+class LaplacianRandomVariable : public RandomVariableStream
+{
+  public:
+    /**
+     * \brief Register this type.
+     * \return The object TypeId.
+     */
+    static TypeId GetTypeId();
+
+    /**
+     * \brief Creates an unbounded laplacian distribution RNG with the default
+     * values for the location and the scale.
+     */
+    LaplacianRandomVariable();
+
+    /**
+     * \brief Get the configured location value of this RNG.
+     *
+     * \return The configured location value.
+     */
+    double GetLocation() const;
+
+    /**
+     * \brief Get the configured scale value of this RNG.
+     *
+     * \return The configured scale value.
+     */
+    double GetScale() const;
+
+    /**
+     * \brief Get the configured bound of this RNG.
+     * \return The bound.
+     */
+    double GetBound() const;
+
+    /**
+     * \copydoc GetValue()
+     * \param [in] location location value of the laplacian distribution.
+     * \param [in] scale scale value of the laplacian distribution.
+     * \param [in] bound bound on values returned.
+     */
+    double GetValue(double location, double scale, double bound);
+
+    /** \copydoc GetValue(double,double,double) */
+    uint32_t GetInteger(uint32_t location, uint32_t scale, uint32_t bound);
+
+    // Inherited
+    double GetValue() override;
+    using RandomVariableStream::GetInteger;
+
+    /**
+     * \brief Returns the variance value for the laplacian distribution returned by this RNG stream.
+     * \return The variance value for the laplacian distribution returned by this RNG stream.
+     */
+    double GetVariance() const;
+
+    /**
+     * \copydoc GetVariance()
+     * \param [in] scale scale value of the laplacian distribution.
+     */
+    static double GetVariance(double scale);
+
+  private:
+    /** The location value of the laplacian distribution. */
+    double m_location;
+
+    /** The scale value of the laplacian distribution. */
+    double m_scale;
+
+    /** The bound on values that can be returned by this RNG stream. */
+    double m_bound;
+
+}; // class LaplacianRandomVariable
+
+/**
+ * \ingroup randomvariable
+ * \brief The Largest Extreme Value distribution Random Number Generator (RNG).
+ *
+ * This class supports the creation of objects that return random numbers from a fixed Largest
+ * Extreme Value distribution. This corresponds to the type-I Generalized Extreme Value
+ * distribution, also known as Gumbel distribution
+ * (https://en.wikipedia.org/wiki/Gumbel_distribution).
+ *
+ * The probability density function of a Largest Extreme Value variable
+ * is defined as:
+ *
+ *   \f[
+ *      P(x; \mu, \beta) dx = \frac{1}{\beta} e^{-(z+ e^{-z})} dx, \quad z = \frac{x - \mu}{\beta}
+ *   \f]
+ *
+ * where \f$\mu\f$ is the \c Location configurable attribute and \f$\beta\f$
+ * is the \c Scale configurable attribute.
+ *
+ * The Largest Extreme Value RNG value \f$x\f$ is generated by
+ *
+ *   \f[
+ *      x = \mu - \beta \log(-\log(u))
+ *   \f]
+ *
+ * where \f$u\f$ is a uniform random variable on [0,1).
+ *
+ * The mean of the distribution is:
+ *
+ *   \f[
+ *      E = \mu + y \beta
+ *   \f]
+ *
+ * where \f$y\f$ is the Euler-Mascheroni constant.
+ *
+ * The variance of the distribution is
+ *
+ *   \f[
+ *      \sigma^2 = 6 \pi^2 \beta^2
+ *   \f]
+ */
+class LargestExtremeValueRandomVariable : public RandomVariableStream
+{
+  public:
+    /**
+     * \brief Register this type.
+     * \return The object TypeId.
+     */
+    static TypeId GetTypeId();
+
+    /**
+     * \brief Creates a Largest Extreme Value distribution RNG with the default
+     * values for the location and the scale.
+     */
+    LargestExtremeValueRandomVariable();
+
+    /**
+     * \brief Get the configured location value of this RNG.
+     *
+     * \return The configured location value.
+     */
+    double GetLocation() const;
+
+    /**
+     * \brief Get the configured scale value of this RNG.
+     *
+     * \return The configured scale value.
+     */
+    double GetScale() const;
+
+    /**
+     * \copydoc GetValue()
+     * \param [in] location location value of the Largest Extreme Value distribution.
+     * \param [in] scale scale value of the Largest Extreme Value distribution.
+     */
+    double GetValue(double location, double scale);
+
+    /** \copydoc GetValue(double,double) */
+    uint32_t GetInteger(uint32_t location, uint32_t scale);
+
+    // Inherited
+    double GetValue() override;
+    using RandomVariableStream::GetInteger;
+
+    /**
+     * \brief Returns the mean value for the Largest Extreme Value distribution returned by this RNG
+     * stream.
+     * \return The mean value for the Largest Extreme Value distribution returned by this
+     * RNG stream.
+     */
+    double GetMean() const;
+
+    /**
+     * \copydoc GetMean()
+     * \param [in] location location value of the Largest Extreme Value distribution.
+     * \param [in] scale scale value of the Largest Extreme Value distribution.
+     */
+    static double GetMean(double location, double scale);
+
+    /**
+     * \brief Returns the variance value for the Largest Extreme Value distribution returned by this
+     * RNG stream.
+     * \return The variance value for the Largest Extreme Value distribution returned by
+     * this RNG stream.
+     */
+    double GetVariance() const;
+
+    /**
+     * \copydoc GetVariance()
+     * \param [in] scale scale value of the Largest Extreme Value distribution.
+     */
+    static double GetVariance(double scale);
+
+  private:
+    /** The location value of the Largest Extreme Value distribution. */
+    double m_location;
+
+    /** The scale value of the Largest Extreme Value distribution. */
+    double m_scale;
+
+}; // class LargestExtremeValueRandomVariable
+
 } // namespace ns3
 
 #endif /* RANDOM_VARIABLE_STREAM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/realtime-simulator-impl.cc ns-3.43/src/core/model/realtime-simulator-impl.cc
--- ns-3.42/src/core/model/realtime-simulator-impl.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/realtime-simulator-impl.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "realtime-simulator-impl.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/realtime-simulator-impl.h ns-3.43/src/core/model/realtime-simulator-impl.h
--- ns-3.42/src/core/model/realtime-simulator-impl.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/realtime-simulator-impl.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef REALTIME_SIMULATOR_IMPL_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/rng-seed-manager.cc ns-3.43/src/core/model/rng-seed-manager.cc
--- ns-3.42/src/core/model/rng-seed-manager.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/rng-seed-manager.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Mathieu Lacage
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
@@ -112,4 +101,10 @@
     return next;
 }
 
+void
+RngSeedManager::ResetNextStreamIndex()
+{
+    g_nextStreamIndex = 0;
+}
+
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/rng-seed-manager.h ns-3.43/src/core/model/rng-seed-manager.h
--- ns-3.42/src/core/model/rng-seed-manager.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/rng-seed-manager.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Mathieu Lacage
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
@@ -104,6 +93,11 @@
      * \returns The next stream index.
      */
     static uint64_t GetNextStreamIndex();
+
+    /**
+     * Resets the global stream index counter.
+     */
+    static void ResetNextStreamIndex();
 };
 
 /** Alias for compatibility. */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/rng-stream.cc ns-3.43/src/core/model/rng-stream.cc
--- ns-3.42/src/core/model/rng-stream.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/rng-stream.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 //
 //  Copyright (C) 2001  Pierre L'Ecuyer (lecuyer@iro.umontreal.ca)
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Modified for ns-3 by:
 //   - Rajib Bhattacharjea<raj.b@gatech.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/rng-stream.h ns-3.43/src/core/model/rng-stream.h
--- ns-3.42/src/core/model/rng-stream.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/rng-stream.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 //
 //  Copyright (C) 2001  Pierre L'Ecuyer (lecuyer@iro.umontreal.ca)
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Modified for ns-3 by: Rajib Bhattacharjea<raj.b@gatech.edu>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/scheduler.cc ns-3.43/src/core/model/scheduler.cc
--- ns-3.42/src/core/model/scheduler.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/scheduler.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/scheduler.h ns-3.43/src/core/model/scheduler.h
--- ns-3.42/src/core/model/scheduler.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/scheduler.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/show-progress.cc ns-3.43/src/core/model/show-progress.cc
--- ns-3.42/src/core/model/show-progress.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/show-progress.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo Carneiro <gjc@inescporto.pt>
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/show-progress.h ns-3.43/src/core/model/show-progress.h
--- ns-3.42/src/core/model/show-progress.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/show-progress.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo Carneiro <gjc@inescporto.pt>
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/shuffle.h ns-3.43/src/core/model/shuffle.h
--- ns-3.42/src/core/model/shuffle.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/shuffle.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2024 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/simple-ref-count.h ns-3.43/src/core/model/simple-ref-count.h
--- ns-3.42/src/core/model/simple-ref-count.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/simple-ref-count.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Georgia Tech Research Corporation, INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: George Riley <riley@ece.gatech.edu>
  *          Gustavo Carneiro <gjcarneiro@gmail.com>,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/simulation-singleton.h ns-3.43/src/core/model/simulation-singleton.h
--- ns-3.42/src/core/model/simulation-singleton.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/simulation-singleton.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
